# -------------------------------------------------------------------------------------------------
#<profile4xi profile = "00" />
#<program4xi program = "photo2_4xi.py">
#<abstract4xi abstract = "defines photos starting with _"/>
#<refer4xi reference = "photo4xi.py"/>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; ACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'None' ]
#"
#/>
# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "

#"
#/>


# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------

#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
import version4xi
from version4xi import VersionKB4Xi
from version4xi import ROOT4XI 
#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
global Photo2_4Xi
global keys2Photo2_4Xi
global debug2Photo2_4Xi
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi Globals                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
kb4repeator2xi = {0: ' ',1: ' ()',2:' []',3:''} 
#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
debug2Photo2_4Xi = True            
#"
#"/>
if debug2Photo2_4Xi is True:
    Photo2_4Xi = { 
                                                                                                                     # name for photos
              '_dummy' : {kb4repeator2xi[0]:  {0:'10october2012',                                                   # date (optional)
                                               1:'001',  # _dummy10october2012 001.jpg                              # all repeators 
                                               2:'003',  # _dummy10october2012 003.jpg                              # photos per each repetor
                                               3:'007',  # _dummy10october2012 007.jpg                              # indexes may not be consecutive
                                               4:'009'}, # _dummy10october2012 009.jpg                              # users may have deleted some photos
                                               
                          kb4repeator2xi[1]:  {0:'20november2012',                                                  # date (optional)
                                               1:2,      # _dummy20november2012 (2).jpg                             # repeator may vary between different cameras
                                               2:4,      # _dummy20november2012 (4).jpg
                                               3:6,      # _dummy20november2012 (6).jpg
                                               4:8},     # _dummy20november2012 (8).jpg 
                                               
                          kb4repeator2xi[2]:  {0:'',                                                                # no date
                                               1:12,     # _dummy [12].jpg                                          # repeator may vary between different cameras
                                               2:14,     # _dummy [14].jpg
                                               3:16,     # _dummy [16].jpg
                                               4:18}     # _dummy [18].jpg                                                                    
                         } 
             }
    keys2Photo2_4Xi =  Photo2_4Xi.keys()
    for key2name in sorted(keys2Photo2_4Xi):
        print(key2name)                                                                                              # _dummy
        kb2index = Photo2_4Xi[key2name]
        print('kb2index: ', kb2index)
        keys2index = kb2index.keys()
        print(keys2index)                                                                                            # ' ',' ()'
        for key2index in keys2index:
            kb2images = kb2index[key2index]
            keys2images = kb2images.keys()
            
            for key2image in keys2images:
                if key2image > 0:
                    print('index:', kb2images[key2image])                                                            # 2,4,6,8  001,003,007,007
                    if key2index == ' ':
                        print('file: ', str(key2name) + str(date2xi) + str(key2index) + str(kb2images[key2image]) + '.jpg')    # _dummy10october2012 001.jpg ...
                    if key2index == ' ()':
                        print('file: ', str(key2name) + str(date2xi) + ' (' + str(kb2images[key2image]) + ')'+ '.jpg')    # _dummy20november2012 (2).jpg ...
                    if key2index == ' []':
                        print('file: ', str(key2name) + str(date2xi) + ' [' + str(kb2images[key2image]) + ']'+ '.jpg')    # _dummy20november2012 [12].jpg ...
                    if key2index == '':
                        print('file: ', str(key2name) + str(date2xi) + str(kb2images[key2image]) + '.jpg')                # _dummy.jpg               
                else:
                    date2xi = kb2images[key2image]                                                                        # 10october2012, 20november2012
else:
    Photo2_4Xi = {}         
    keys2Photo2_4Xi =  Photo2_4Xi.keys()
                                                                   
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   photo2_4xi.txt
# _dummy
# kb2index:  {' []': {0: '', 1: 12, 2: 14, 3: 16, 4: 18}, ' ()': {0: '20november2012', 1: 2, 2: 4, 3: 6, 4: 8}, ' ': {0: '10october2012', 1: '001', 2: '003', 3: '007', 4: '009'}}
# dict_keys([' []', ' ()', ' '])
# index: 12
# file:  _dummy [12].jpg
# index: 14
# file:  _dummy [14].jpg
# index: 16
# file:  _dummy [16].jpg
# index: 18
# file:  _dummy [18].jpg
# index: 2
# file:  _dummy20november2012 (2).jpg
# index: 4
# file:  _dummy20november2012 (4).jpg
# index: 6
# file:  _dummy20november2012 (6).jpg
# index: 8
# file:  _dummy20november2012 (8).jpg
# index: 001
# file:  _dummy10october2012 001.jpg
# index: 003
# file:  _dummy10october2012 003.jpg
# index: 007
# file:  _dummy10october2012 007.jpg
# index: 009
# file:  _dummy10october2012 009.jpg 
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of photo2_4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

 
       